<?php
	// Include Configuration Files
	$level = "";
	require_once($level.'includes/config.php');

	$error = $success = $image = "";
	$r1 = $r2 = $r3 = $r4 = $r5 = "";
	
	// Get Post Data
	if (!isset($_GET['id'])) {
		header('Location: list.php');
	} else {
		$id = $_GET['id'];
		$post = $POSTS->getPostById($id);
		if (!$post) {
			header('Location: list.php');
		}
	}	
	
	$oldimage = $post->image;
	
	// Edit Post
	if (isset($_POST['title'])) {
	
		$title = clean($_POST['title']);
		$slug = clean($_POST['slug']);
		$keywords = clean($_POST['keywords']);
		$description = clean($_POST['description']);
		$rating = clean($_POST['rating']);
		$post = ($_POST['post']);	

		if ($title != "" && $slug != "" && $keywords != "" && $description != "" && $rating != "" && $post != "") {
		
			if ($_FILES['image']['name'] != "") {
		
				// Upload Image
				$target_path = "uploads/";
				$ext = substr($_FILES['image']['name'], strrpos($_FILES['image']['name'], '.') + 1);		
				$target_path = $target_path.$slug.'.'.$ext;
				$image = $slug.'.'.$ext;
				if(move_uploaded_file($_FILES['image']['tmp_name'], $target_path)) {
				
				} else {
					$error = "Error Uploading Image";
				}
				
			}
			
			if ($error == "") {
			
				if ($image == "") {
					$image = $oldimage;
				}
				if ($POSTS->updatePost($id, $title, $slug, $keywords, $description, $rating, $image, $post)) {
					$success = "Post Saved!";
				} else {
					$error = "Error Inserting Post";
				}
				
			}
			
		} else {
			$error = "Must Enter All Fields";
		}
	
	}	
	
?>

<?php include("parts/doctype.php"); ?>

<head>
	<title>Add Post</title>
	<?php include("parts/meta.php"); ?>
</head>

<body>

<div id="whole">
	
	<div id="adminmain">
	
		<div id="adminnav"><?php include("parts/adminnav.php"); ?></div>
	
	<form method="post" enctype="multipart/form-data">
	
	<?php
		// Success
		if ($success != "") {
			print("<p class='formmsg'><font color='green'>".$success."</font></p><div class='clear'></div>");
		}
		// Error
		if ($error != "") {
			print("<p class='formmsg'><font color='red'>".$error."</font></p><div class='clear'></div>");
		}
	?>
	
	<?php
		$post = $POSTS->getPostById($id);
	?>
	
	<label for="1">Title</label>
	<input type="text" name="title" value="<?php echo stripslashes($post->title); ?>"></input>
	<div class="clear"></div>
	
	<label for="2">Slug</label>
	<input type="text" name="slug" value="<?php echo stripslashes($post->slug); ?>"></input>
	<div class="clear"></div>
	
	<label for="3">Keywords</label>
	<input type="text" name="keywords" value="<?php echo stripslashes($post->keywords); ?>"></input>
	<div class="clear"></div>
	
	<label for="4">Description</label>
	<input type="text" name="description" value="<?php echo stripslashes($post->description); ?>"></input>
	<div class="clear"></div>
	
	<?php
		// Rating
		switch($post->rating) {
			case '1': $r1 = "checked='checked'"; break;
			case '2': $r2 = "checked='checked'"; break;
			case '3': $r3 = "checked='checked'"; break;
			case '4': $r4 = "checked='checked'"; break;
			case '5': $r5 = "checked='checked'"; break;
		}
	?>
	
	
	<label for="6">Rating</label>
	<input <?php echo $r1; ?> checked='checked' class="radiob" type="radio" name="rating" value="1"></input>
	<input <?php echo $r2; ?> class="radiob" type="radio" name="rating" value="2"></input>
	<input <?php echo $r3; ?> class="radiob" type="radio" name="rating" value="3"></input>
	<input <?php echo $r4; ?> class="radiob" type="radio" name="rating" value="4"></input>
	<input <?php echo $r5; ?> class="radiob" type="radio" name="rating" value="5"></input>
	<div class="clear"></div>	
	
	<label for="7">Image</label>
	<input type="file" name="image" id="file">
	<div class="clear"></div>
	
	<img class="editimg" src="uploads/<?php echo $post->image; ?>">
	<div class="clear"></div>
	
	<label for="8">Post</label>
	<textarea name="post"><?php echo stripslashes($post->post); ?></textarea>
	<div class="clear"></div>
	
	<input type="submit" class="button" value="Submit">
	
	</form>
	
	</div>

</div>
	
</body>
</html>